Subject: [scim] Identity Events - GitHub site

From: Phil Hunt <[email-masked]>
Date: Fri, 1 Apr 2016 11:10:53 -0700

In order to provide more time for access prior to the Tuesday discussion (during the SCIM slot at IETF95), I have posted all of the drafts that have been worked on in github at:
https://github.com/independentid/Identity-Events <https://github.com/independentid/Identity-Events>

The following drafts are available:

draft-hunt-idevent-token-00 (published to IETF) - The event token format based on JWT
draft-hunt-idevent-scim-00 (published to IETF) - Event token extension for SCIM
draft-hunt-idevent-distribution-00 (unpublished) - Metadata and methods for distributing events

Also available (historical only):
draft-hunt-scim-notify-00 (published to IETF) - An old SCIM submission for historical purposes.
draft-hunt-idevent-subscription-00 - An initial re-work of notify. Replaced by draft-hunt-idevent-distribution.

As I mentioned in an earlier email this week, the distribution draft removes all of the protocol around how subscriptions are managed and updated. It only defines the metadata and sets up a registry for defining distribution methods.  The draft includes the following methods so far:
 - webCallback - Where the publisher uses HTTP POST to distribute events to registered subscriber
 - poll - Where a subscriber uses HTTP GET to pick up events at a subscriber endpoint from the publisher.

This draft is still very preliminary, but I think it does serve the purpose of getting discussion going. It also removes all
of the SCIM specific semantics and focuses on general JSON and JWT formatted messages.  I will publish the distribution draft on Monday when the submission window re-opens. 

The work presented here has not yet been specifically implemented but is strongly informed based on feedback from current production systems and experience.

Thanks for your comments and feedback. 

Phil

@independentid
www.independentid.com <http://www.independentid.com/>[email-masked] <mailto:[email-masked]>